Subject: Re: bug#30929: 26.0.91; Text drag and drop does not work

From: Nick Helm <[email-masked]>
Date: Wed, 25 Apr 2018 00:42:19 +1200

On Sat, 14 Apr 2018 at 06:33:34 +1200, Alan Third wrote:

> On Thu, Apr 12, 2018 at 05:34:17PM +1200, Nick Helm wrote:
>> On Wed, 11 Apr 2018 at 07:38:24 +1200, Alan Third wrote:
>> 
>> > On Mon, Apr 09, 2018 at 01:51:58PM +1200, Nick Helm wrote:
>> 
>> > This is probably a better idea, we pass the string, the type (from the
>> > PB) and the mask to lisp, and then let ns-drag-n-drop sort it out.
>> > Like you say, if an expert wants to do something different they can
>> > then write their own function.
>> >
>> > So in C we just construct something like:
>> >
>> >     '(file
>> >       (ns-drag-operation-copy
>> >        ns-drag-operation-link)
>> >       "filename")
>> >
>> > Are you wanting to give this a go? I’m happy to work on it if not.
>> 
>> Ok, I see what you mean. Yep, I can have a go at it.
>
> I look forward to it.

I've spent many many hours on this but I'm afraid I can't get it to
work. There are just too many permutations.

I give up, sorry.